@if (vm$ | async; as vm) {
  <ng-container *subscribe="editDatasetMutation.result$ as dataset">
    <ngx-loading [show]="dataset.isLoading" />
  </ng-container>

  <ng-container *subscribe="editMapsetMutation.result$ as mapset">
    <ngx-loading [show]="mapset.isLoading" />
  </ng-container>

  <div [ngClass]="['desk-page', jds.mt(30), jds.mb(70), jds.mx(0)]">
    <div [ngClass]="jds.container">
      <!-- Desk Header -->
      <div [ngClass]="[jds.mb(24)]">
        <app-desk-header />
      </div>

      <!-- Desk Tab Type -->
      <div [ngClass]="[jds.mb(16)]">
        <app-desk-tab-type />
      </div>

      @if (vm.filterType === 'upload-change') {
        <div [ngClass]="[jds.card, jds.mb(16)]">
          <div [ngClass]="[jds.cardBody, jds.py(12)]">
            <app-desk-status-catalog />
          </div>
        </div>

        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardBody, jds.p(0)]">
            @if (vm.filterStatus === 'verification') {
              <app-desk-tab-status-verification />
            }

            <app-desk-list-upload-change (delete)="onDelete($event)" />
          </div>
        </div>
      }

      @if (vm.filterType === 'discontinue') {
        <div [ngClass]="[jds.card, jds.mb(16)]">
          <div [ngClass]="[jds.cardBody, jds.py(12)]">
            <app-desk-status-catalog />
          </div>
        </div>

        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardBody, jds.p(0)]">
            <app-desk-list-discontinue />
          </div>
        </div>
      }

      @if (
        satudataUser.role_name === 'walidata' &&
        vm.filterType === 'request-dataset'
      ) {
        <div [ngClass]="[jds.card, jds.mb(16)]">
          <div [ngClass]="[jds.cardBody, jds.py(12)]">
            <app-desk-application-request />
          </div>
        </div>

        <div [ngClass]="[jds.card]">
          @switch (vm.filterApplication) {
            @case ('satudata') {
              <div [ngClass]="[jds.cardBody, jds.p(0)]">
                <app-desk-status-request-satudata />
              </div>

              <div [ngClass]="[jds.cardBody]">
                <app-desk-list-request-satudata />
              </div>
            }

            @case ('opendata') {
              <div [ngClass]="[jds.cardBody, jds.p(0)]">
                <app-desk-status-request-opendata />
              </div>

              <div [ngClass]="[jds.cardBody]">
                <app-desk-list-request-opendata />
              </div>
            }
          }
        </div>
      }
    </div>
  </div>
}
